//	Zinc Application Framework - D_COMBO.HPP
//	COPYRIGHT (C) 1990-1999.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#include <z_combo.hpp>
#include <z_button.hpp>
#include <z_str1.hpp>

class ZafComboButton : public ZafButton
{
public:
	ZafComboButton(void);
	~ZafComboButton(void);
	virtual ZafEventType DrawShadow(ZafRegionStruct &region, int depth, ZafEventType ccode);
	virtual ZafEventType Event(const ZafEventStruct &event);
	virtual bool SetSupportObject(bool supportObject);

	virtual ZafWindowObject *Duplicate(void);

protected:
	// --- Image support ---
	static char ZAF_FARDATA comboDownArrowName[];
	static ZafBitmapData *comboDownArrowBitmap;
	static void ImageAllocate(void);
	static void ImageFree(bool globalRequest = false);
};

class ZafComboString : public ZafString
{
public:
	ZafComboString(void);
	virtual ZafEventType Event(const ZafEventStruct &event);

	virtual bool CopyDraggable(void) const;
	virtual bool Draggable(void) const;
	virtual bool LinkDraggable(void) const;
	virtual bool MoveDraggable(void) const;
	virtual ZafEventType DragDropEvent(const ZafEventStruct &event);
};

